diff -rupN keepalived-1.2.7/keepalived/include/ipwrapper.h keepalived-1.2.7-unicast/keepalived/include/ipwrapper.h
--- keepalived-1.2.7/keepalived/include/ipwrapper.h	2012-08-13 20:50:25.000000000 +0200
+++ keepalived-1.2.7-unicast/keepalived/include/ipwrapper.h	2013-05-24 10:12:36.559164400 +0200
@@ -49,10 +49,10 @@
 #define LVS_CMD_EDIT_DEST	IP_VS_SO_SET_EDITDEST
 
 /* prototypes */
-extern void perform_svr_state(int, virtual_server *, real_server *);
-extern void update_svr_wgt(int, virtual_server *, real_server *);
-extern int svr_checker_up(checker_id_t, real_server *);
-extern void update_svr_checker_state(int, checker_id_t, virtual_server *, real_server *);
+extern void perform_svr_state(int, virtual_server_t *, real_server_t *);
+extern void update_svr_wgt(int, virtual_server_t *, real_server_t *);
+extern int svr_checker_up(checker_id_t, real_server_t *);
+extern void update_svr_checker_state(int, checker_id_t, virtual_server_t *, real_server_t *);
 extern int init_services(void);
 extern int clear_services(void);
 extern int clear_diff_services(void);
diff -rupN keepalived-1.2.7/keepalived/include/smtp.h keepalived-1.2.7-unicast/keepalived/include/smtp.h
--- keepalived-1.2.7/keepalived/include/smtp.h	2012-08-13 20:50:25.000000000 +0200
+++ keepalived-1.2.7-unicast/keepalived/include/smtp.h	2013-05-24 10:12:36.563164600 +0200
@@ -68,15 +68,15 @@ do {					\
 } while (0)
 
 /* SMTP thread arguments */
-typedef struct _smtp_thread_arg {
-	int fd;
-	int stage;
-	int email_it;
-	char *subject;
-	char *body;
-	char *buffer;
-	long buflen;
-} smtp_thread_arg;
+typedef struct _smtp {
+	int		fd;
+	int		stage;
+	int		email_it;
+	char		*subject;
+	char		*body;
+	char		*buffer;
+	long		buflen;
+} smtp_t;
 
 /* SMTP command string processing */
 #define SMTP_HELO_CMD    "HELO %s\r\n"
@@ -90,6 +90,6 @@ typedef struct _smtp_thread_arg {
 #define SMTP_QUIT_CMD    "QUIT\r\n"
 
 /* Prototypes defs */
-extern void smtp_alert(real_server *, vrrp_rt *, vrrp_sgroup *,
+extern void smtp_alert(real_server_t *, vrrp_t *, vrrp_sgroup_t *,
 		       const char *, const char *);
 #endif
diff -rupN keepalived-1.2.7/keepalived/include/vrrp.h keepalived-1.2.7-unicast/keepalived/include/vrrp.h
--- keepalived-1.2.7/keepalived/include/vrrp.h	2012-08-29 00:05:12.000000000 +0200
+++ keepalived-1.2.7-unicast/keepalived/include/vrrp.h	2013-05-24 10:12:36.566164800 +0200
@@ -38,17 +38,17 @@
 #include "vector.h"
 #include "list.h"
 
-typedef struct {		/* rfc2338.5.1 */
-	uint8_t vers_type;	/* 0-3=type, 4-7=version */
-	uint8_t vrid;		/* virtual router id */
-	uint8_t priority;	/* router priority */
-	uint8_t naddr;		/* address counter */
-	uint8_t auth_type;	/* authentification type */
-	uint8_t adver_int;	/* advertissement interval(in sec) */
-	uint16_t chksum;	/* checksum (ip-like one) */
-/* here <naddr> ip addresses */
-/* here authentification infos */
-} vrrp_pkt;
+typedef struct _vrrphdr {			/* rfc2338.5.1 */
+	uint8_t			vers_type;	/* 0-3=type, 4-7=version */
+	uint8_t			vrid;		/* virtual router id */
+	uint8_t			priority;	/* router priority */
+	uint8_t			naddr;		/* address counter */
+	uint8_t			auth_type;	/* authentification type */
+	uint8_t			adver_int;	/* advertissement interval(in sec) */
+	uint16_t		chksum;		/* checksum (ip-like one) */
+	/* here <naddr> ip addresses */
+	/* here authentification infos */
+} vrrphdr_t;
 
 /* protocol constants */
 #define INADDR_VRRP_GROUP	0xe0000012	/* multicast addr - rfc2338.5.2.2 */
@@ -70,86 +70,86 @@ typedef struct {		/* rfc2338.5.1 */
  * of VRRP instances that need to be state sync together.
  */
 typedef struct _vrrp_sgroup {
-	char *gname;		/* Group name */
-	vector_t *iname;	/* Set of VRRP instances in this group */
-	list index_list;	/* List of VRRP instances */
-	int state;		/* current stable state */
-	int global_tracking;	/* Use floating priority and scripts
-				 * All VRRP must share same tracking conf
-				 */
+	char			*gname;			/* Group name */
+	vector_t		*iname;			/* Set of VRRP instances in this group */
+	list			index_list;		/* List of VRRP instances */
+	int			state;			/* current stable state */
+	int			global_tracking;	/* Use floating priority and scripts
+							 * All VRRP must share same tracking conf
+							 */
 
 	/* State transition notification */
-	int notify_exec;
-	char *script_backup;
-	char *script_master;
-	char *script_fault;
-	char *script;
-	int smtp_alert;
-} vrrp_sgroup;
+	int			notify_exec;
+	char			*script_backup;
+	char			*script_master;
+	char			*script_fault;
+	char			*script;
+	int			smtp_alert;
+} vrrp_sgroup_t;
 
 /* parameters per virtual router -- rfc2338.6.1.2 */
-typedef struct _vrrp_rt {
-	sa_family_t family;	/* AF_INET|AF_INET6 */
-	char *iname;		/* Instance Name */
-	vrrp_sgroup *sync;	/* Sync group we belong to */
-	interface *ifp;		/* Interface we belong to */
-	int dont_track_primary; /* If set ignores ifp faults */
-	int vmac;		/* If set try to set VRRP VMAC */
-	char vmac_ifname[IFNAMSIZ]; /* Name of VRRP VMAC interface */
-	unsigned int vmac_ifindex;	/* ifindex of vmac interface */
-	list track_ifp;		/* Interface state we monitor */
-	list track_script;	/* Script state we monitor */
-	uint32_t mcast_saddr;	/* Src IP address to use in VRRP IP header */
-	char *lvs_syncd_if;	/* handle LVS sync daemon state using this
-				 * instance FSM & running on specific interface
-				 * => eth0 for example.
-				 */
-	int garp_delay;		/* Delay to launch gratuitous ARP */
-	int vrid;		/* virtual id. from 1(!) to 255 */
-	int base_priority;	/* configured priority value */
-	int effective_priority;	/* effective priority value */
-	int vipset;		/* All the vips are set ? */
-	list vip;		/* list of virtual ip addresses */
-	list evip;		/* list of protocol excluded VIPs.
-				 * Those VIPs will not be presents into the
-				 * VRRP adverts
-				 */
-	list vroutes;		/* list of virtual routes */
-	int adver_int;		/* delay between advertisements(in sec) */
-	int nopreempt;          /* true if higher prio does not preempt lower */
-	long preempt_delay;     /* Seconds*TIMER_HZ after startup until
-				 * preemption based on higher prio over lower
-				 * prio is allowed.  0 means no delay.
-				 */
-	timeval_t preempt_time; /* Time after which preemption can happen */
-	int state;		/* internal state (init/backup/master) */
-	int init_state;		/* the initial state of the instance */
-	int wantstate;		/* user explicitly wants a state (back/mast) */
-	int fd_in;		/* IN socket descriptor */
-	int fd_out;		/* OUT socket descriptor */
+typedef struct _vrrp_t {
+	sa_family_t		family;			/* AF_INET|AF_INET6 */
+	char			*iname;			/* Instance Name */
+	vrrp_sgroup_t		*sync;			/* Sync group we belong to */
+	interface_t		*ifp;			/* Interface we belong to */
+	int			dont_track_primary;	/* If set ignores ifp faults */
+	int			vmac;			/* If set try to set VRRP VMAC */
+	char			vmac_ifname[IFNAMSIZ];	/* Name of VRRP VMAC interface */
+	unsigned int		vmac_ifindex;		/* ifindex of vmac interface */
+	list			track_ifp;		/* Interface state we monitor */
+	list			track_script;		/* Script state we monitor */
+	uint32_t		mcast_saddr;		/* Src IP address to use in VRRP IP header */
+	char			*lvs_syncd_if;		/* handle LVS sync daemon state using this
+							 * instance FSM & running on specific interface
+							 * => eth0 for example.
+							 */
+	int			garp_delay;		/* Delay to launch gratuitous ARP */
+	int			vrid;			/* virtual id. from 1(!) to 255 */
+	int			base_priority;		/* configured priority value */
+	int			effective_priority;	/* effective priority value */
+	int			vipset;			/* All the vips are set ? */
+	list			vip;			/* list of virtual ip addresses */
+	list			evip;			/* list of protocol excluded VIPs.
+							 * Those VIPs will not be presents into the
+							 * VRRP adverts
+							 */
+	list			vroutes;		/* list of virtual routes */
+	int			adver_int;		/* delay between advertisements(in sec) */
+	int			nopreempt;		/* true if higher prio does not preempt lower */
+	long			preempt_delay;		/* Seconds*TIMER_HZ after startup until
+							 * preemption based on higher prio over lower
+							 * prio is allowed.  0 means no delay.
+							 */
+	timeval_t		preempt_time;		/* Time after which preemption can happen */
+	int			state;			/* internal state (init/backup/master) */
+	int			init_state;		/* the initial state of the instance */
+	int			wantstate;		/* user explicitly wants a state (back/mast) */
+	int			fd_in;			/* IN socket descriptor */
+	int			fd_out;			/* OUT socket descriptor */
 
-	int debug;		/* Debug level 0-4 */
+	int			debug;			/* Debug level 0-4 */
 
 	/* State transition notification */
-	int smtp_alert;
-	int notify_exec;
-	char *script_backup;
-	char *script_master;
-	char *script_fault;
-	char *script_stop;
-	char *script;
+	int			smtp_alert;
+	int			notify_exec;
+	char			*script_backup;
+	char			*script_master;
+	char			*script_fault;
+	char			*script_stop;
+	char			*script;
 
 	/* rfc2336.6.2 */
-	uint32_t ms_down_timer;
-	struct timeval sands;
+	uint32_t		ms_down_timer;
+	timeval_t		sands;
 
 	/* Sending buffer */
-	char *send_buffer;	/* Allocated send buffer */
-	int send_buffer_size;
+	char			*send_buffer;		/* Allocated send buffer */
+	int			send_buffer_size;
 
 	/* Authentication data */
-	int auth_type;		/* authentification type. VRRP_AUTH_* */
-	uint8_t auth_data[8];	/* authentification data */
+	int			auth_type;		/* authentification type. VRRP_AUTH_* */
+	uint8_t			auth_data[8];		/* authentification data */
 
 	/*
 	 * To have my own ip_id creates collision with kernel ip->id
@@ -158,11 +158,11 @@ typedef struct _vrrp_rt {
 	 * This packet isnt routed, i can check the outgoing MTU
 	 * to warn the user only if the outoing mtu is too small
 	 */
-	int ip_id;
+	int			ip_id;
 
 	/* IPSEC AH counter def --rfc2402.3.3.2 */
-	seq_counter *ipsecah_counter;
-} vrrp_rt;
+	seq_counter_t		*ipsecah_counter;
+} vrrp_t;
 
 /* VRRP state machine -- rfc2338.6.4 */
 #define VRRP_STATE_INIT			0	/* rfc2338.6.4.1 */
@@ -215,24 +215,24 @@ typedef struct _vrrp_rt {
 #define VRRP_ISUP(V)           (VRRP_IF_ISUP(V) && VRRP_SCRIPT_ISUP(V))
 
 /* prototypes */
-extern vrrp_pkt *vrrp_get_header(sa_family_t, char *, int *, uint32_t *);
+extern vrrphdr_t *vrrp_get_header(sa_family_t, char *, int *, uint32_t *);
 extern int open_vrrp_send_socket(sa_family_t, int, int);
 extern int open_vrrp_socket(sa_family_t, int, int);
-extern int new_vrrp_socket(vrrp_rt *);
-extern void close_vrrp_socket(vrrp_rt *);
-extern void vrrp_send_link_update(vrrp_rt *);
-extern int vrrp_send_adv(vrrp_rt *, int);
-extern int vrrp_state_fault_rx(vrrp_rt *, char *, int);
-extern int vrrp_state_master_rx(vrrp_rt *, char *, int);
-extern int vrrp_state_master_tx(vrrp_rt *, const int);
-extern void vrrp_state_backup(vrrp_rt *, char *, int);
-extern void vrrp_state_goto_master(vrrp_rt *);
-extern void vrrp_state_leave_master(vrrp_rt *);
+extern int new_vrrp_socket(vrrp_t *);
+extern void close_vrrp_socket(vrrp_t *);
+extern void vrrp_send_link_update(vrrp_t *);
+extern int vrrp_send_adv(vrrp_t *, int);
+extern int vrrp_state_fault_rx(vrrp_t *, char *, int);
+extern int vrrp_state_master_rx(vrrp_t *, char *, int);
+extern int vrrp_state_master_tx(vrrp_t *, const int);
+extern void vrrp_state_backup(vrrp_t *, char *, int);
+extern void vrrp_state_goto_master(vrrp_t *);
+extern void vrrp_state_leave_master(vrrp_t *);
 extern int vrrp_ipsecah_len(void);
 extern int vrrp_complete_init(void);
 extern void shutdown_vrrp_instances(void);
 extern void clear_diff_vrrp(void);
 extern void clear_diff_script(void);
-extern void vrrp_restore_interface(vrrp_rt *, int);
+extern void vrrp_restore_interface(vrrp_t *, int);
 
 #endif
diff -rupN keepalived-1.2.7/keepalived/include/vrrp_arp.h keepalived-1.2.7-unicast/keepalived/include/vrrp_arp.h
--- keepalived-1.2.7/keepalived/include/vrrp_arp.h	2012-08-13 20:50:25.000000000 +0200
+++ keepalived-1.2.7-unicast/keepalived/include/vrrp_arp.h	2013-05-24 10:12:36.567164900 +0200
@@ -36,19 +36,19 @@
 #define IPPROTO_ADDR_LEN	4
 
 /* types definition */
-typedef struct _m_arphdr {
-	unsigned short int ar_hrd;	/* Format of hardware address.  */
-	unsigned short int ar_pro;	/* Format of protocol address.  */
-	unsigned char ar_hln;	/* Length of hardware address.  */
-	unsigned char ar_pln;	/* Length of protocol address.  */
-	unsigned short int ar_op;	/* ARP opcode (command).  */
+typedef struct _arphdr {
+	unsigned short int	ar_hrd;	/* Format of hardware address.  */
+	unsigned short int	ar_pro;	/* Format of protocol address.  */
+	unsigned char		ar_hln;	/* Length of hardware address.  */
+	unsigned char		ar_pln;	/* Length of protocol address.  */
+	unsigned short int	ar_op;	/* ARP opcode (command).  */
 
 	/* Ethernet looks like this : This bit is variable sized however...  */
-	unsigned char __ar_sha[ETH_ALEN];	/* Sender hardware address.  */
-	unsigned char __ar_sip[4];	/* Sender IP address.  */
-	unsigned char __ar_tha[ETH_ALEN];	/* Target hardware address.  */
-	unsigned char __ar_tip[4];	/* Target IP address.  */
-} m_arphdr;
+	unsigned char		__ar_sha[ETH_ALEN];	/* Sender hardware address.  */
+	unsigned char		__ar_sip[4];		/* Sender IP address.  */
+	unsigned char		__ar_tha[ETH_ALEN];	/* Target hardware address.  */
+	unsigned char		__ar_tip[4];		/* Target IP address.  */
+} arphdr_t;
 
 /* Global vars exported */
 extern char *garp_buffer;
@@ -57,6 +57,6 @@ extern int garp_fd;
 /* prototypes */
 extern void gratuitous_arp_init(void);
 extern void gratuitous_arp_close(void);
-extern int send_gratuitous_arp(ip_address *);
+extern int send_gratuitous_arp(ip_address_t *);
 
 #endif
diff -rupN keepalived-1.2.7/keepalived/include/vrrp_data.h keepalived-1.2.7-unicast/keepalived/include/vrrp_data.h
--- keepalived-1.2.7/keepalived/include/vrrp_data.h	2012-08-29 00:05:12.000000000 +0200
+++ keepalived-1.2.7-unicast/keepalived/include/vrrp_data.h	2013-05-24 10:12:36.570165000 +0200
@@ -40,28 +40,28 @@
  * physical interface.
  */
 typedef struct _sock {
-	sa_family_t family;
-	int proto;
-	int ifindex;
-	int fd_in;
-	int fd_out;
+	sa_family_t		family;
+	int			proto;
+	int			ifindex;
+	int			fd_in;
+	int			fd_out;
 } sock_t;
 
 /* Configuration data root */
-typedef struct _vrrp_conf_data {
-	list static_addresses;
-	list static_routes;
-	list vrrp_sync_group;
-	list vrrp;
-	list vrrp_index;
-	list vrrp_index_fd;
-	list vrrp_socket_pool;
-	list vrrp_script;
-} vrrp_conf_data;
+typedef struct _vrrp_data {
+	list			static_addresses;
+	list			static_routes;
+	list			vrrp_sync_group;
+	list			vrrp;
+	list			vrrp_index;
+	list			vrrp_index_fd;
+	list			vrrp_socket_pool;
+	list			vrrp_script;
+} vrrp_data_t;
 
 /* Global Vars exported */
-extern vrrp_conf_data *vrrp_data;
-extern vrrp_conf_data *old_vrrp_data;
+extern vrrp_data_t *vrrp_data;
+extern vrrp_data_t *old_vrrp_data;
 extern char *vrrp_buffer;
 
 /* prototypes */
@@ -77,9 +77,9 @@ extern void alloc_vrrp_evip(vector_t *);
 extern void alloc_vrrp_vroute(vector_t *);
 extern void alloc_vrrp_buffer(void);
 extern void free_vrrp_buffer(void);
-extern vrrp_conf_data *alloc_vrrp_data(void);
-extern void free_vrrp_data(vrrp_conf_data *);
-extern void dump_vrrp_data(vrrp_conf_data *);
-extern void free_vrrp_sockpool(vrrp_conf_data *);
+extern vrrp_data_t *alloc_vrrp_data(void);
+extern void free_vrrp_data(vrrp_data_t *);
+extern void dump_vrrp_data(vrrp_data_t *);
+extern void free_vrrp_sockpool(vrrp_data_t *);
 
 #endif
diff -rupN keepalived-1.2.7/keepalived/include/vrrp_if.h keepalived-1.2.7-unicast/keepalived/include/vrrp_if.h
--- keepalived-1.2.7/keepalived/include/vrrp_if.h	2012-08-13 20:50:25.000000000 +0200
+++ keepalived-1.2.7-unicast/keepalived/include/vrrp_if.h	2013-05-24 10:12:36.571165100 +0200
@@ -72,24 +72,24 @@ struct ethtool_value {
 
 /* Interface structure definition */
 typedef struct _interface {
-	char ifname[IF_NAMESIZ + 1];	/* Interface name */
-	unsigned int ifindex;		/* Interface index */
-	struct in_addr sin_addr;	/* IPv4 primary IPv4 address */
-	struct in6_addr sin6_addr;	/* IPv6 link address */
-	unsigned long flags;		/* flags */
-	unsigned int mtu;		/* MTU for this interface */
-	unsigned short hw_type;		/* Type of hardware address */
-	u_char hw_addr[IF_HWADDR_MAX];	/* MAC address */
-	int hw_addr_len;		/* MAC addresss length */
-	int lb_type;			/* Interface regs selection */
-	int linkbeat;			/* LinkBeat from MII BMSR req */
-} interface;
+	char			ifname[IF_NAMESIZ + 1];	/* Interface name */
+	unsigned int		ifindex;		/* Interface index */
+	struct in_addr		sin_addr;		/* IPv4 primary IPv4 address */
+	struct in6_addr		sin6_addr;		/* IPv6 link address */
+	unsigned long		flags;			/* flags */
+	unsigned int		mtu;			/* MTU for this interface_t */
+	unsigned short		hw_type;		/* Type of hardware address */
+	u_char			hw_addr[IF_HWADDR_MAX];	/* MAC address */
+	int			hw_addr_len;		/* MAC addresss length */
+	int			lb_type;		/* Interface regs selection */
+	int			linkbeat;		/* LinkBeat from MII BMSR req */
+} interface_t;
 
 /* Tracked interface structure definition */
 typedef struct _tracked_if {
-	int weight;		/* tracking weight when non-zero */
-	interface *ifp;		/* interface backpointer, cannot be NULL */
-} tracked_if;
+	int			weight;		/* tracking weight when non-zero */
+	interface_t		*ifp;		/* interface backpointer, cannot be NULL */
+} tracked_if_t;
 
 /* Macros */
 #define IF_NAME(X) ((X)->ifname)
@@ -105,24 +105,24 @@ typedef struct _tracked_if {
                     if_linkbeat(X))
 
 /* prototypes */
-extern interface *if_get_by_ifindex(const int);
-extern interface *if_get_by_ifname(const char *);
-extern int if_linkbeat(const interface *);
+extern interface_t *if_get_by_ifindex(const int);
+extern interface_t *if_get_by_ifname(const char *);
+extern int if_linkbeat(const interface_t *);
 extern int if_mii_probe(const char *);
 extern int if_ethtool_probe(const char *);
-extern void if_add_queue(interface *);
+extern void if_add_queue(interface_t *);
 extern int if_monitor_thread(thread_t *);
 extern void init_interface_queue(void);
 extern void init_interface_linkbeat(void);
 extern void free_interface_queue(void);
 extern void dump_if(void *);
-extern int if_join_vrrp_group(sa_family_t, int *, interface *, int);
-extern int if_leave_vrrp_group(sa_family_t, int, interface *);
-extern int if_setsockopt_bindtodevice(int *, interface *);
+extern int if_join_vrrp_group(sa_family_t, int *, interface_t *, int);
+extern int if_leave_vrrp_group(sa_family_t, int, interface_t *);
+extern int if_setsockopt_bindtodevice(int *, interface_t *);
 extern int if_setsockopt_hdrincl(int *);
 extern int if_setsockopt_mcast_loop(sa_family_t, int *);
 extern int if_setsockopt_mcast_hops(sa_family_t, int *);
-extern int if_setsockopt_mcast_if(sa_family_t, int *, interface *);
+extern int if_setsockopt_mcast_if(sa_family_t, int *, interface_t *);
 extern int if_setsockopt_priority(int *);
 
 #endif
diff -rupN keepalived-1.2.7/keepalived/include/vrrp_index.h keepalived-1.2.7-unicast/keepalived/include/vrrp_index.h
--- keepalived-1.2.7/keepalived/include/vrrp_index.h	2012-08-13 20:50:25.000000000 +0200
+++ keepalived-1.2.7-unicast/keepalived/include/vrrp_index.h	2013-05-24 10:12:36.573165200 +0200
@@ -36,10 +36,10 @@
 /* Macro definition */
 
 /* prototypes */
-extern void alloc_vrrp_bucket(vrrp_rt *);
-extern void alloc_vrrp_fd_bucket(vrrp_rt *);
-extern void remove_vrrp_fd_bucket(vrrp_rt *);
-extern void set_vrrp_fd_bucket(int, vrrp_rt *);
-extern vrrp_rt *vrrp_index_lookup(const int, const int);
+extern void alloc_vrrp_bucket(vrrp_t *);
+extern void alloc_vrrp_fd_bucket(vrrp_t *);
+extern void remove_vrrp_fd_bucket(vrrp_t *);
+extern void set_vrrp_fd_bucket(int, vrrp_t *);
+extern vrrp_t *vrrp_index_lookup(const int, const int);
 
 #endif
diff -rupN keepalived-1.2.7/keepalived/include/vrrp_ipaddress.h keepalived-1.2.7-unicast/keepalived/include/vrrp_ipaddress.h
--- keepalived-1.2.7/keepalived/include/vrrp_ipaddress.h	2012-08-29 00:05:12.000000000 +0200
+++ keepalived-1.2.7-unicast/keepalived/include/vrrp_ipaddress.h	2013-05-24 10:12:36.574165300 +0200
@@ -37,7 +37,7 @@
 #include "vector.h"
 
 /* types definition */
-typedef struct {
+typedef struct _ip_address {
 	struct ifaddrmsg ifa;
 
 	union {
@@ -48,10 +48,10 @@ typedef struct {
 		struct in6_addr sin6_addr;
 	} u;
 
-	interface *ifp;		/* Interface owning IP address */
-	char *label;		/* Alias name, e.g. eth0:1 */
-	int set;		/* TRUE if addr is set */
-} ip_address;
+	interface_t		*ifp;	/* Interface owning IP address */
+	char			*label;	/* Alias name, e.g. eth0:1 */
+	int			set;	/* TRUE if addr is set */
+} ip_address_t;
 
 #define IPADDRESS_DEL 0
 #define IPADDRESS_ADD 1
@@ -79,7 +79,7 @@ typedef struct {
 extern void netlink_iplist(list, int);
 extern void free_ipaddress(void *);
 extern void dump_ipaddress(void *);
-extern void alloc_ipaddress(list, vector_t *, interface *);
+extern void alloc_ipaddress(list, vector_t *, interface_t *);
 extern void clear_diff_address(list, list);
 extern void clear_diff_saddresses(void);
 
diff -rupN keepalived-1.2.7/keepalived/include/vrrp_iproute.h keepalived-1.2.7-unicast/keepalived/include/vrrp_iproute.h
--- keepalived-1.2.7/keepalived/include/vrrp_iproute.h	2012-08-29 00:05:12.000000000 +0200
+++ keepalived-1.2.7-unicast/keepalived/include/vrrp_iproute.h	2013-05-24 10:12:36.576165400 +0200
@@ -34,18 +34,18 @@
 
 /* types definition */
 typedef struct _ip_route {
-	uint32_t dst;		/* RTA_DST */
-	uint8_t dmask;
-	uint32_t gw;		/* RTA_GATEWAY */
-	uint32_t gw2;		/* Will use RTA_MULTIPATH */
-	uint32_t src;		/* RTA_PREFSRC */
-	uint32_t metric;	/* RTA_PRIORITY */
-	int index;		/* RTA_OIF */
-	int blackhole;
-	int scope;
-	int table;
-	int set;
-} ip_route;
+	uint32_t		dst;		/* RTA_DST */
+	uint8_t			dmask;
+	uint32_t		gw;		/* RTA_GATEWAY */
+	uint32_t		gw2;		/* Will use RTA_MULTIPATH */
+	uint32_t		src;		/* RTA_PREFSRC */
+	uint32_t		metric;		/* RTA_PRIORITY */
+	int			index;		/* RTA_OIF */
+	int			blackhole;
+	int			scope;
+	int			table;
+	int			set;
+} ip_route_t;
 
 #define IPROUTE_DEL 0
 #define IPROUTE_ADD 1
@@ -60,7 +60,7 @@ typedef struct _ip_route {
 			 (X)->index  == (Y)->index)
 
 /* prototypes */
-extern int netlink_route_ipv4(ip_route *, int);
+extern int netlink_route_ipv4(ip_route_t *, int);
 extern void netlink_rtlist_ipv4(list, int);
 extern void free_iproute(void *);
 extern void dump_iproute(void *);
diff -rupN keepalived-1.2.7/keepalived/include/vrrp_ipsecah.h keepalived-1.2.7-unicast/keepalived/include/vrrp_ipsecah.h
--- keepalived-1.2.7/keepalived/include/vrrp_ipsecah.h	2012-08-13 20:50:25.000000000 +0200
+++ keepalived-1.2.7-unicast/keepalived/include/vrrp_ipsecah.h	2013-05-24 10:12:36.577165400 +0200
@@ -38,26 +38,26 @@
 				   -- rfc2402.2.2 */
 #define IPPROTO_IPSEC_AH 51	/* IP protocol number -- rfc2402.2 */
 
-typedef struct {		/* rfc2402.2 */
-	uint8_t next_header;	/* Next header field */
-	uint8_t payload_len;	/* Payload Lenght */
-	uint16_t reserved;	/* Reserved field */
-	uint32_t spi;		/* Security Parameter Index */
-	uint32_t seq_number;	/* Sequence number */
-	uint32_t auth_data[3];	/* Authentication data 128-bit MD5 digest trucated
-				   => HMAC_MD5_TRUNC*8/32 */
-} ipsec_ah;
+typedef struct _ipsec_ah {				/* rfc2402.2 */
+	uint8_t			next_header;	/* Next header field */
+	uint8_t			payload_len;	/* Payload Lenght */
+	uint16_t		reserved;	/* Reserved field */
+	uint32_t		spi;		/* Security Parameter Index */
+	uint32_t		seq_number;	/* Sequence number */
+	uint32_t		auth_data[3];	/* Authentication data 128-bit MD5 digest trucated
+						   => HMAC_MD5_TRUNC*8/32 */
+} ipsec_ah_t;
 
 typedef struct {		/* rfc2402.3.3.3.1.1.1 */
-	u_int8_t tos;
-	u_int16_t frag_off;
-	u_int16_t check;
+	uint8_t			tos;
+	uint16_t		frag_off;
+	uint16_t		check;
 } ICV_mutable_fields;		/* We need to zero this fields to compute the ICV */
 
-typedef struct {
-	int cycle;
-	uint32_t seq_number;
-} seq_counter;
+typedef struct _seq_counter {
+	int			cycle;
+	uint32_t		seq_number;
+} seq_counter_t;
 
 extern void hmac_md5(unsigned char *, int, unsigned char *, int, unsigned char *);
 
diff -rupN keepalived-1.2.7/keepalived/include/vrrp_ndisc.h keepalived-1.2.7-unicast/keepalived/include/vrrp_ndisc.h
--- keepalived-1.2.7/keepalived/include/vrrp_ndisc.h	2012-08-13 20:50:25.000000000 +0200
+++ keepalived-1.2.7-unicast/keepalived/include/vrrp_ndisc.h	2013-05-24 10:12:36.579165600 +0200
@@ -86,7 +86,7 @@ struct nd_opt_hdr {
 /* prototypes */
 extern void ndisc_init(void);
 extern void ndisc_close(void);
-extern int ndisc_send_unsolicited_na(ip_address *);
+extern int ndisc_send_unsolicited_na(ip_address_t *);
 
 #endif
 
diff -rupN keepalived-1.2.7/keepalived/include/vrrp_netlink.h keepalived-1.2.7-unicast/keepalived/include/vrrp_netlink.h
--- keepalived-1.2.7/keepalived/include/vrrp_netlink.h	2012-08-13 20:50:25.000000000 +0200
+++ keepalived-1.2.7-unicast/keepalived/include/vrrp_netlink.h	2013-05-24 10:12:36.580165600 +0200
@@ -37,19 +37,19 @@
 #include "timer.h"
 
 /* types definitions */
-struct nl_handle {
-	int fd;
-	struct sockaddr_nl snl;
-	__u32 seq;
-};
+typedef struct _nl_handle {
+	int			fd;
+	struct sockaddr_nl	snl;
+	__u32			seq;
+} nl_handle_t;
 
 /* Define types */
 #define NETLINK_TIMER (30 * TIMER_HZ)
 #define NLMSG_TAIL(nmsg) ((struct rtattr *) (((void *) (nmsg)) + NLMSG_ALIGN((nmsg)->nlmsg_len)))
 
 /* Global vars exported */
-extern struct nl_handle nl_kernel;	/* Kernel reflection channel */
-extern struct nl_handle nl_cmd;		/* Command channel */
+extern nl_handle_t nl_kernel;	/* Kernel reflection channel */
+extern nl_handle_t nl_cmd;	/* Command channel */
 
 /* prototypes */
 extern int addattr32(struct nlmsghdr *, int, int, uint32_t);
@@ -57,9 +57,9 @@ extern int addattr_l(struct nlmsghdr *,
 extern int rta_addattr_l(struct rtattr *, int, int, const void *, int);
 extern char *netlink_scope_n2a(int);
 extern int netlink_scope_a2n(char *);
-extern int netlink_socket(struct nl_handle *, unsigned long);
-extern int netlink_close(struct nl_handle *);
-extern int netlink_talk(struct nl_handle *, struct nlmsghdr *);
+extern int netlink_socket(nl_handle_t *, unsigned long);
+extern int netlink_close(nl_handle_t *);
+extern int netlink_talk(nl_handle_t *, struct nlmsghdr *);
 extern int netlink_interface_lookup(void);
 extern int netlink_interface_refresh(void);
 extern void kernel_netlink_init(void);
diff -rupN keepalived-1.2.7/keepalived/include/vrrp_notify.h keepalived-1.2.7-unicast/keepalived/include/vrrp_notify.h
--- keepalived-1.2.7/keepalived/include/vrrp_notify.h	2012-08-13 20:50:25.000000000 +0200
+++ keepalived-1.2.7-unicast/keepalived/include/vrrp_notify.h	2013-05-24 10:12:36.582165700 +0200
@@ -27,7 +27,7 @@
 /* local include */
 #include "vrrp.h"
 
-extern int notify_instance_exec(vrrp_rt *, int);
-extern int notify_group_exec(vrrp_sgroup *, int);
+extern int notify_instance_exec(vrrp_t *, int);
+extern int notify_group_exec(vrrp_sgroup_t *, int);
 
 #endif
diff -rupN keepalived-1.2.7/keepalived/include/vrrp_scheduler.h keepalived-1.2.7-unicast/keepalived/include/vrrp_scheduler.h
--- keepalived-1.2.7/keepalived/include/vrrp_scheduler.h	2012-08-13 20:50:25.000000000 +0200
+++ keepalived-1.2.7-unicast/keepalived/include/vrrp_scheduler.h	2013-05-24 10:12:36.585165900 +0200
@@ -58,7 +58,7 @@ do {						\
 } while (0)
 
 /* extern prototypes */
-extern void vrrp_dispatcher_release(vrrp_conf_data *);
+extern void vrrp_dispatcher_release(vrrp_data_t *);
 extern int vrrp_dispatcher_init(thread_t *);
 extern int vrrp_read_dispatcher_thread(thread_t *);
 
diff -rupN keepalived-1.2.7/keepalived/include/vrrp_snmp.h keepalived-1.2.7-unicast/keepalived/include/vrrp_snmp.h
--- keepalived-1.2.7/keepalived/include/vrrp_snmp.h	2012-08-13 20:50:25.000000000 +0200
+++ keepalived-1.2.7-unicast/keepalived/include/vrrp_snmp.h	2013-05-24 10:12:36.587166000 +0200
@@ -110,7 +110,7 @@
 /* Prototypes */
 extern void vrrp_snmp_agent_init(void);
 extern void vrrp_snmp_agent_close(void);
-extern void vrrp_snmp_instance_trap(vrrp_rt *);
-extern void vrrp_snmp_group_trap(vrrp_sgroup *);
+extern void vrrp_snmp_instance_trap(vrrp_t *);
+extern void vrrp_snmp_group_trap(vrrp_sgroup_t *);
 
 #endif
diff -rupN keepalived-1.2.7/keepalived/include/vrrp_sync.h keepalived-1.2.7-unicast/keepalived/include/vrrp_sync.h
--- keepalived-1.2.7/keepalived/include/vrrp_sync.h	2012-08-13 20:50:25.000000000 +0200
+++ keepalived-1.2.7-unicast/keepalived/include/vrrp_sync.h	2013-05-24 10:12:36.588166100 +0200
@@ -41,15 +41,15 @@
 #define GROUP_NAME(G)  ((G)->gname)
 
 /* extern prototypes */
-extern void vrrp_init_instance_sands(vrrp_rt *);
-extern void vrrp_sync_smtp_notifier(vrrp_sgroup *);
-extern void vrrp_sync_set_group(vrrp_sgroup *);
-extern int vrrp_sync_group_up(vrrp_sgroup *);
-extern int vrrp_sync_leave_fault(vrrp_rt *);
-extern int vrrp_sync_goto_master(vrrp_rt *);
-extern void vrrp_sync_backup(vrrp_rt *);
-extern void vrrp_sync_master(vrrp_rt *);
-extern void vrrp_sync_master_election(vrrp_rt *);
-extern void vrrp_sync_fault(vrrp_rt *);
+extern void vrrp_init_instance_sands(vrrp_t *);
+extern void vrrp_sync_smtp_notifier(vrrp_sgroup_t *);
+extern void vrrp_sync_set_group(vrrp_sgroup_t *);
+extern int vrrp_sync_group_up(vrrp_sgroup_t *);
+extern int vrrp_sync_leave_fault(vrrp_t *);
+extern int vrrp_sync_goto_master(vrrp_t *);
+extern void vrrp_sync_backup(vrrp_t *);
+extern void vrrp_sync_master(vrrp_t *);
+extern void vrrp_sync_master_election(vrrp_t *);
+extern void vrrp_sync_fault(vrrp_t *);
 
 #endif
diff -rupN keepalived-1.2.7/keepalived/include/vrrp_track.h keepalived-1.2.7-unicast/keepalived/include/vrrp_track.h
--- keepalived-1.2.7/keepalived/include/vrrp_track.h	2012-08-29 00:05:12.000000000 +0200
+++ keepalived-1.2.7-unicast/keepalived/include/vrrp_track.h	2013-05-24 10:12:36.590166200 +0200
@@ -56,22 +56,22 @@
 
 /* external script we call to track local processes */
 typedef struct _vrrp_script {
-	char *sname;		/* instance name */
-	char *script;		/* the command to be called */
-	long interval;		/* interval between script calls */
-	long timeout;		/* seconds before script timeout */
-	int weight;		/* weight associated to this script */
-	int result;		/* result of last call to this script: 0..R-1 = KO, R..R+F-1 = OK */
-	int inuse;		/* how many users have weight>0 ? */
-	int rise;		/* R: how many successes before OK */
-	int fall;		/* F: how many failures before KO */
-} vrrp_script;
+	char			*sname;		/* instance name */
+	char			*script;	/* the command to be called */
+	long			interval;	/* interval between script calls */
+	long			timeout;	/* seconds before script timeout */
+	int			weight;		/* weight associated to this script */
+	int			result;		/* result of last call to this script: 0..R-1 = KO, R..R+F-1 = OK */
+	int			inuse;		/* how many users have weight>0 ? */
+	int			rise;		/* R: how many successes before OK */
+	int			fall;		/* F: how many failures before KO */
+} vrrp_script_t;
 
 /* Tracked script structure definition */
 typedef struct _tracked_sc {
-	int weight;		/* tracking weight when non-zero */
-	vrrp_script *scr;	/* script pointer, cannot be NULL */
-} tracked_sc;
+	int			weight;		/* tracking weight when non-zero */
+	vrrp_script_t		*scr;		/* script pointer, cannot be NULL */
+} tracked_sc_t;
 
 /* prototypes */
 extern void dump_track(void *);
@@ -83,6 +83,6 @@ extern void vrrp_log_tracked_down(list);
 extern int vrrp_tracked_weight(list);
 extern int vrrp_script_up(list);
 extern int vrrp_script_weight(list);
-extern vrrp_script* find_script_by_name(char *);
+extern vrrp_script_t *find_script_by_name(char *);
 
 #endif
